WiPay
WAPIsv2.0.2Trusted Cards

Create Trusted Card

Initiate the trusted card enrollment flow. Returns a checkout URL where the user enters card details. A small USD debit is made for verification.

POST
/trusted-cards
AuthorizationBearer <token>

OAuth2 access token obtained from POST /auth/tokens.

In: header

environmentstring

See Get Metadata for acceptable values.

Value in"live" | "sandbox"
response_urlstring

URL to redirect after card entry.

Formaturi
Length1 <= length <= 255

Response Body

curl -X POST "https://tt.wipayfinancial.com/wapi/trusted-cards" \  -H "Content-Type: application/json" \  -d '{    "environment": "live",    "response_url": "http://example.com"  }'
{
  "message": "OK",
  "url": "http://example.com",
  "transaction_id": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}